clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::RecordIdDsc Struct Reference
Collaboration diagram for clang::doc::RecordIdDsc:
[legend]

## Public Member Functions
| RecordIdDsc ()=default
| RecordIdDsc (llvm::StringRef Name, AbbrevDsc Abbrev)
| operator bool () const

## Public Attributes
llvm::StringRef | Name
AbbrevDsc | Abbrev = nullptr

## Detailed Description

Definition at line 90 of file BitcodeWriter.cpp.

## Constructor & Destructor Documentation

## ◆ RecordIdDsc() [1/2]

clang::doc::RecordIdDsc::RecordIdDsc | ( |  | ) |
| default

## ◆ RecordIdDsc() [2/2]

clang::doc::RecordIdDsc::RecordIdDsc | ( | llvm::StringRef | Name,
|  | AbbrevDsc | Abbrev
| ) |  |
| inline

Definition at line 95 of file BitcodeWriter.cpp.

## Member Function Documentation

## ◆ operator bool()

clang::doc::RecordIdDsc::operator bool | ( |  | ) | const
| inline

Definition at line 99 of file BitcodeWriter.cpp.

## Member Data Documentation

## ◆ Abbrev

AbbrevDsc clang::doc::RecordIdDsc::Abbrev = nullptr

Definition at line 92 of file BitcodeWriter.cpp.

## ◆ Name

llvm::StringRef clang::doc::RecordIdDsc::Name

Definition at line 91 of file BitcodeWriter.cpp.

The documentation for this struct was generated from the following file:

- BitcodeWriter.cpp